[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AddHandlerOnVisibleChanged

Adds or inserts the specified OnVisibleChanged event handler.

## Declaration

Source position: controls.pp line 1761

`public procedure TControl.AddHandlerOnVisibleChanged(`
`const OnVisibleChangedEvent: TNotifyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnVisibleChangedEvent` |  | TNotifyEvent handler routine added in the method.
`AsFirst` |  | True if the routine is inserted as the first handler in the list of handlers for the chtOnVisibleChanged type. False if the routine is appended to the list.